<?php
/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */
/**
 * This class contains general functions to use all over the system.
 * @deprecated
 * @author Jason Schoeman
 */
class core extends PHPDS_dependant
{
	/**
	 * This creates a simple confirmation box to ask users input before performing a critical link click.
	 *
	 * @deprecated use confirmLink
	 * @param string What is the question to be asked in the confirmation box.
	 * @return string Javascript popup confirmation box.
	 * @author Jason Schoeman
	 */
	public function confirm_link ($confirm_what)
	{
		return $this->confirmLink($confirm_what);
	}

	/**
	 * This creates a simple confirmation box to ask users input before performing a critical submit.
	 *
	 * @deprecated use confirmSubmit
	 * @param string What is the question to be asked in the confirmation box.
	 * @return string Javascript popup confirmation box.
	 * @author Jason Schoeman
	 */
	public function confirm_submit ($confirm_what)
	{
		return $this->confirmSubmit($confirm_what);
	}

	/**
	 * This shows a simple "alert" box which notifies the user about a specified condition.
	 *
	 * @deprecated use alertSubmit
	 * @param string The actual warning message.
	 * @return string Javascript popup warning box.
	 * @author Don Schoeman
	 */
	public function alert_submit ($alert_msg)
	{
		return $this->alertSubmit($alert_msg);
	}

	/**
	 * This shows a simple "alert" box which notifies the user about a specified condition.
	 *
	 * @deprecated use alertLink
	 * @param string The actual warning message.
	 * @return string Javascript popup warning box.
	 * @author Don Schoeman
	 */
	public function alert_link ($alert_msg)
	{
		return $this->alertLink($alert_msg);
	}

	/**
	 * Check and returns constant if constant is defined or returns normal variable if no constant defined.
	 *
	 * @deprecated use isConstant
	 * @param string The string to check whether variable or constant.
	 * @return string The actual assigned constant value.
	 * @author Jason Schoeman
	 */
	public function is_constant ($is_variable_constant)
	{
		return $this->isConstant($is_variable_constant);
	}

	/**
	 * This method will return the correct user time taking DST and users timezone into consideration.
	 *
	 * @deprecated use formatTimeDate
	 * @param integer $timestamp Unix timestamp if empty it will return the current users time.
	 * @param string $format_type_or_custom User can choose which of the formats to load from the $this->configuration settings, 'default', 'short' or have a custom format.
	 * @param string $custom_timezone You can also provide a custom timezone to this method, if false, it will use current users timezone.
	 * @return string Will return a formatted date string ex. 1 June 2011 18:05 PM
	 * @author Jason Schoeman
	 * @version 1.0.1	Converted to OOP
	 * @date	2009/05/19
	 */
	public function format_time_date ($time_stamp, $format_type_or_custom = 'default', $custom_timezone = false)
	{
		return $this->formatTimeDate ($time_stamp, $format_type_or_custom, $custom_timezone);
	}

	/**
	/* Returns the difference in seconds between the currently logged in user's timezone
	 * and the server's configured timezone (under General Settings). If the server
	 * timezone is 2 hours behind the user timezone, it will return -7200 for example. If
	 * the server timezone is 2 hours ahead of the user timezone, it will return 7200.
	 *
	 * @deprecated use userServerTzDiff
	 * @param integer $custom_timestamp Timestamp to compare dates timezones in the future or past.
	 * @return integer The difference between the user's timezone and server timezone (in seconds).
	 * @author Don Schoeman
	 */
	public function user_server_tz_diff ($custom_timestamp = false)
	{
		return $this->userServerTzDiff($custom_timestamp);
	}

	/**
	 * This method creates a random string with mixed alphabetic characters.
	 *
	 * @deprecated use createRandomString
	 * @param integer $length The lenght the string should be.
	 * @param boolean $uppercase_only Should the string be uppercase.
	 * @return string Will return required random string.
	 * 
	 * @author Andy Shellam, andy [at] andycc [dot] net
	 */
	public function create_random_string ($length = 4, $uppercase_only = false)
	{
		return $this->createRandomString($length, $uppercase_only);
	}

	/**
	 * Function formats locale according to logged in user settings else will default to system.
	 * 
	 * @deprecated use formatLocale
	 * @param boolean $charset Whether the charset should be included in the format.
	 * @return string Will return formatted locale.
	 * @author Jason Schoeman
	 */
	public function format_locale ($charset = true, $user_language = false, $user_region = false)
	{
		return $this->formatLocale($charset, $user_language, $user_region);
	}

	/**
	 * This methods allows you to load translation by giving their locations and name.
	 *
	 * @deprecated use loadTranslation
	 * @param string This is the location where language mo file is found.
	 * @param string The mo filename the translation is compiled in.
	 * @param string The actual text domain identifier.
	 * @author Jason Schoeman
	 */
	public function load_translation ($mo_directory, $mo_filename, $textdomain)
	{
		$this->loadTranslation($mo_directory, $mo_filename, $textdomain);
	}

	/**
	 * This method loads the core language array and assigns it to a variable.
	 * @deprecated use loadCoreLanguage
	 * @author Jason Schoeman
	 */
	public function load_core_language ()
	{
		$this->loadCoreLanguage();
	}

	/**
	 * This method loads the default menu language array and assigns it to a variable.
	 *
	 * @deprecated use loadMenuLanguage
	 * @author Jason Schoeman
	 */
	public function load_menu_language ()
	{
		$this->loadMenuLanguage();
	}

	/**
	 * This method loads the plugin language with default items and icons array.
	 *
	 * @deprecated use loadDefaultPluginLanguage
	 * @author Jason Schoeman
	 */
	public function load_default_plugin_language ()
	{
		$this->loadDefaultPluginLanguage();
	}

	/**
	 * Turn $lang variables into constants.
	 *
	 * @deprecated
	 * @author Jason Schoeman
	 */
	public function define_lang ()
	{
		foreach ($this->lang as $id => $string) {
			if (! is_array($string)) {
				define($id, $string);
			}
		}
	}

	/**
	 * Function to return the current running/active plugin.
	 *
	 * @deprecated use activePlugin
	 * @return string
	 */
	public function active_plugin ()
	{
		// Return active running plugin.
		return $this->activePlugin();
	}

	/**
	 * Function to return the current running/active template.
	 *
	 * @deprecated use activeTemplate
	 * @return string
	 */
	public function active_template ()
	{
		// Return active running plugin.
		return $this->activeTemplate();
	}

	/**
	 * Convert string unsigned CRC32 value. This is unique and can help predict a entries id beforehand.
	 * Use for folder names insuring unique id's.
	 *
	 * @deprecated use nameToId
	 * @param string To convert to integer.
	 * @return integer
	 * @author Jason Schoeman
	 */
	public function name_to_id ($convert_to_id)
	{
		return $this->nameToId($convert_to_id);
	}

	/**
	 * Strip a string from the end of a string.
	 * Is there no such function in PHP?
	 *
	 * @deprecated use rightTrim
	 * @param string $str      The input string.
	 * @param string $remove   OPTIONAL string to remove.
	 *
	 * @return string the modified string.
	 */
	public function right_trim ($str, $remove = null)
	{
		return $this->rightTrim($str, $remove);
	}

	/**
	 * This method simply renames a string to safe unix standards.
	 *
	 * @deprecated use safeName
	 * @param string $name
	 * @param string $replace Replace odd characters with what?
	 *
	 * @return string
	 */
	public function safe_name ($name, $replace = '-')
	{
		return $this->safeName($name, $replace);
	}

	/**
	 * Replaces accents with plain text for a given string.
	 *
	 * @deprecated use replaceAccents
	 * @param string $string
	 * @return string
	 */
	public function replace_accents($string)
	{
		return $this->replaceAccents($string);
	}

	/**
	 * Turns any given relative path to the absolute version of the path.
	 *
	 * @deprecated use absolutePath
	 * @param $relative_path Provide path like 'test/testpath'
	 * @return string
	 */
	public function absolute_path ($relative_path)
	{
		return $this->absolutePath($relative_path);
	}

	/**
	 * Assumes role of loading files.
	 *
	 * @date 2010106 (v1.1) (greg) moved from core to PHPDS_core and added a few checks
	 *
	 * @version 1.1
	 * @author jason
	 *
	 * @deprecated use loadFile
	 * @param string $file_location
	 * @param boolean Should the file be required or else included.
	 * @param boolean Is this a relative path, if true, it will be converted to absolute path.
	 * @param boolean Should it be called only once?
	 * @return mixed
	 */
	public function load_file($path, $required = false, $relative = true, $once_only = true)
	{
		return $this->loadFile($path, $required, $relative, $once_only);
	}

	/**
	 * Will log current configuration data to firephp.
	 *
	 * @deprecated use logConfig
	 * @return void
	 */
	public function log_config ()
	{
		$this->logConfig();
	}
}