<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Contains methods to handle pagination, searching and filtering.
 * PHPMailer could also be used.
 * @author Jason Schoeman
 */
class controlPanel extends PHPDS_dependant
{
	/**
	 * Creates cool easy to navigate control panel.
	 */
	public function doPanel($behaviour = 'restricted')
	{
		// Get settings values.
		$setting = $this->db->getSettings(array('limit_favorite', 'limit_messages'), 'PHPDevShell');

		// Check what should be shown.
		if (!empty($setting['limit_favorite']) || !empty($setting['limit_messages'])) {
			// Check what should be shown.
			// Should favorite menu items be show?
			if (!empty($setting['limit_favorite'])) {
				// Set limit value for favorite menu.
				$limit_favorite_db = $setting['limit_favorite'];
				// Get favorite menu items for this user.
				$favi_menu_item = $this->db->invokeQuery('PHPDS_faviMenusQuery', $limit_favorite_db);
			} else {
				$favi_menu_item = array();
			}
			// Should favorite message items be show?
			if (!empty($setting['limit_messages'])) {
				$message_ = $this->db->invokeQuery('PHPDS_logsQuery', $setting['limit_messages']);
			}
			// Generate system control panel.
			$panel = true;
		} else {
			$panel = false;
			$message_ = '';
			$favi_menu_item = '';
		}

		// Loop through all menu items.
		$menu_type = $this->db->invokeQuery('PHPDS_drawCPModel', $favi_menu_item, $behaviour);

		// Load views.
		$view = $this->factory('views');

		// Set Values.
		$view->set('menu_type', $menu_type);
		$view->set('message_', $message_);
		$view->set('panel', $panel);

		// Output Template.
		$view->show('control-panel.tpl', 'ControlPanel');
	}
}