<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */
class RepairDatabase extends PHPDS_controller
{

	/**
	 * Simply optimizes Database.
	 * @author Jason Schoeman [titan@phpdevshell.org], Ross Kuyper
	 * @since 24 June 2010
	 */
	public function execute()
	{
		$this->template->heading(_('Repair Database'));
		$this->template->info(_('Repairs corrupted and broken tables from core and all installed plugins.'));
		// Get all tables from database.
		$all_tables = $this->db->invokeQuery('PHPDS_fetchTablesToRepairQuery', $this->configuration['database_name']);

		// Repair the tables
		$RESULTS = $this->db->invokeQuery('PHPDS_repairTablesQuery', $all_tables);
		// Load views.
		$view = $this->factory('views');

		// Set Array.
		$view->set('RESULTS', $RESULTS);

		// Output Template.
		$view->show();
	}
}

return 'RepairDatabase';