<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */
class TrimLogs extends PHPDS_controller
{

	/**
	 * Trims logs from the database.
	 * @author Jason Schoeman [titan@phpdevshell.org], Ross Kuyper
	 * @since 24 June 2010
	 */
	public function execute()
	{
		$this->template->heading(_('Trim Logs'));
		$this->template->info(_('Trim logs to the given amount in the config gui, this helps keeping your database manageable.'));

		$trim_results = $this->db->invokeQuery('PHPDS_trimLogsQuery');

		// Load views.
		$view = $this->factory('views');

		// Set Values.
		$view->set('general_records', $trim_results['general_records']);
		$view->set('trim_records_general', $trim_results['trim_records_general']);
		$view->set('job_status_general', $trim_results['job_status_general']);
		$view->set('access_records', $trim_results['access_records']);
		$view->set('trim_records_access', $trim_results['trim_records_access']);
		$view->set('job_status_general', $trim_results['job_status_general']);
		$view->set('access_records', $trim_results['access_records']);
		$view->set('trim_records_access', $trim_results['trim_records_access']);
		$view->set('job_status_access', $trim_results['job_status_access']);

		// Output Template.
		$view->show();
	}
}

return 'TrimLogs';