<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Controller Class: Import users to system.
 * @author Jason Schoeman
 * @return string
 */
class UserAdminImport extends PHPDS_controller
{

	/**
	 * Execute Controller
	 * @author Jason Schoeman
	 */
	public function execute()
	{
		//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		// Header information
		$this->template->heading(_('User Importing Admin'));

		// User now wants to start import.
		if (!empty($this->security->post['import'])) {
			// User actions.
			$userAction = $this->factory('userActions');
			// Save $this->security->post variable to array.
			$edit = $this->security->post;
			$this->db->invokeQuery('PHPDS_doImportQuery', $edit);
			$userAction->usersImportAction($edit);
		}
		//////////////////////////
		// Get the token where we will import too.
		//////////////////////////
		//
		// Get registration token options.
		$token_selection = $this->db->invokeQuery('PHPDS_readTokenOptionsQuery');
		// Define
		$edit['token_id_option'] = '';
		$edit['overflow_table'] = '';
		$edit['user_timezone'] = '';
		$edit['language'] = '';
		$edit['password_prefix'] = '';
		//////////////////////////
		// Import CSV order. /////
		//////////////////////////
		if (empty($edit['csv_order'])) $edit['csv_order'] = 'name,email,username';
		////////////////////
		// CSV delimiter. //
		////////////////////
		if (empty($edit['delimiter'])) $edit['delimiter'] = ',';
		/////////////////////
		// email_username. //
		/////////////////////
		if (!empty($edit['email_username'])) $email_username_checked = 'checked';
		else $email_username_checked = '';
		/////////////////////
		// overwrite_dup.  //
		/////////////////////
		if (!empty($edit['overwrite_dup'])) $overwrite_dup_checked = 'checked';
		else $overwrite_dup_checked = '';
		//////////////////////////
		// Set IANA language repository class.
		//////////////////////////
		$iana = $this->factory('iana');
		if (empty($edit['language'])) $edit['language'] = false;
		$language_options = $iana->languageOptions($edit['language']);
		if (empty($edit['region'])) $edit['region'] = false;
		$region_options = $iana->regionOptions($edit['region']);
		//////////////////////////
		// Get TimeZone options. /
		//////////////////////////
		$timezone = $this->factory('timeZone');
		if (empty($edit['user_timezone'])) $edit['user_timezone'] = false;
		$timezone_options = $timezone->timezoneOptions($edit['user_timezone']);
		// Load views.
		$view = $this->factory('views');

		// Set Array.
		$view->set('e', $edit);

		// Set Button.
		$view->set('prepare_import', _('Prepare Import'));

		// Set Values.
		$view->set('self_url', $this->navigation->selfUrl());
		$view->set('token_selection', $token_selection);
		$view->set('add_token_page', $this->navigation->buildURL(48580716));
		$view->set('email_username_checked', $email_username_checked);
		$view->set('overwrite_dup_checked', $overwrite_dup_checked);
		$view->set('language_options', $language_options);
		$view->set('region_options', $region_options);
		$view->set('timezone_options', $timezone_options);

		// Output Template.
		$view->show();
	}
}

return 'UserAdminImport';
