<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Controller Class: Cannot find the page.
 * @author Jason Schoeman
 * @return string
 */
class pageNotFound extends PHPDS_controller
{

	/**
	 * Execute Controller
	 * @author Jason Schoeman
	 */
	public function execute()
	{
		$template = $this->template;
		$page_not_found_message = $this->db->getSettings(array('404_error_page_message'), 'PHPDevShell');

		$warning = $template->warning($page_not_found_message['404_error_page_message'], 'return');

		// Load views.
		$view = $this->factory('views');
		$view->set('warning', $warning);

		// Output Template.
		$view->show();
		
		// Load control panel plugin.
		$cp = $this->factory('controlPanel');
		$cp->doPanel('all');
	}
}

return 'pageNotFound';
