<?php

/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/**
 * Readme - Read all skins.
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 */
class PHPDS_readSkinOptions extends PHPDS_query
{

	/**
	 * Initiate query invoke command.
	 * @param int
	 * @return string
	 */
	public function invoke($parameters = null)
	{
		$skin_selected = $parameters[0];
		$file = $this->factory('fileManager');
		$dir = $file->getDirListing("themes/{$this->configuration['template_folder']}/jquery/css");
		$skin_ = '';
		if (empty($dir)) $dir = array();
		foreach ($dir as $skin) {
			($skin_selected == $skin['folder']) ? $selected = 'selected' : $selected = '';
			$skin_ .= '<option value="' . $skin['folder'] . "\" $selected>" . $skin['folder'] . '</option>';
		}
		return $skin_;
	}
}

/**
 * Readme - Set Skin.
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 */
class PHPDS_setSkin extends PHPDS_query
{

	/**
	 * Initiate query invoke command.
	 * @param int
	 * @return string
	 */
	public function invoke($parameters = null)
	{
		$this->db->writeSettings(array('skin' => $parameters[0]), 'PHPDevShell');
		$this->db->cacheClear();
	}
}